Skip navigation
lumbarpain1956
Currently Being Moderated

Newest flash player installed but window keeps popping up saying I need it installed

Sep 2, 2012 12:03 PM

I have tried over and over again, installing, uninstalling the Newest Edition of Adobe Flash Player.  Even though the icon shows up in my programs listing saying its in the computer and that the installation was complete, I still get these small windows showing up stating I need to install the latest flash player when I want to view certain videos.  Is it in the computer or not?  Help!!

 
Replies
  • Currently Being Moderated
    Sep 2, 2012 11:23 PM   in reply to lumbarpain1956

    What is your operating system & version?

     

    What is your web browser?

     
    |
    Mark as:
  • Currently Being Moderated
    Sep 3, 2012 9:08 PM   in reply to lumbarpain1956

    All these symptoms indicate that something is wrong with your system.

    Do you have a good AV system installed, and is it up to date?  Malware infection could be a cause.

    Also, "registry cleaners" like the one you used often do more damage than good; stay away from them!

     

    Regarding Flash Player on IE9, check

     
    |
    Mark as:
  • Currently Being Moderated
    May 20, 2013 4:02 PM   in reply to lumbarpain1956

    I also am suffering from a similar problem. I wanted to play this online game, but it said I couldn't because I needed to install AdobeFlash Player. So I downloaded AdobeFlash Player, and then installed it. However, when I tried to play the game, the site kept saying I needed AdobeFlash player. SO annoying! Please help! And just in case someone needs to know, my Mac is an OS X 10.5.8 version, and I have a processor of 2.4 GHz Intel Core 2 Duo, and two Gigabytes of memory on my mac. Would appreciate someone's help.

     
    |
    Mark as:
  • Chris Campbell
    9,456 posts
    May 4, 2010
    Currently Being Moderated
    May 21, 2013 5:55 PM   in reply to Polamaluisboss

    @polamaluisboss - Unfortunately, since you are on 10.5.8 you are limited to using Flash Player 10.3.  There are certain websites that require 11.x.  Your only alternative is to convince the game provider (ie. website) to remove that restriction or update to 10.6 or higher to install the latest Flash Player 11.7 release.

     
    |
    Mark as:

More Like This

  • Retrieving data ...

Bookmarked By (0)

Answers + Points = Status

  • 10 points awarded for Correct Answers
  • 5 points awarded for Helpful Answers
  • 10,000+ points
  • 1,001-10,000 points
  • 501-1,000 points
  • 5-500 points